Module java.base
Package java.security.acl

## Class NotOwnerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.acl.NotOwnerException

- All Implemented Interfaces:
    `Serializable`

      @Deprecated(since="9",
                  forRemoval=true)
      public class NotOwnerException
      extends Exception

  Deprecated, for removal: This API element is subject to removal in a future version.
  This class is deprecated and subject to removal in a future version of Java SE. It has been replaced by `java.security.Policy` and related classes since 1.2.
  This is an exception that is thrown whenever the modification of an object (such as an Access Control List) is only allowed to be done by an owner of the object, but the Principal attempting the modification is not an owner.
  Since:
    1.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NotOwnerException()` | Deprecated, for removal: This API element is subject to removal in a future version. Constructs a NotOwnerException.

  - ### Method Summary

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotOwnerException

          public NotOwnerException()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Constructs a NotOwnerException.